Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0016882
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupmajoralways2011-04-25 15:042011-05-12 13:28
ReporterpjuvaraView Statuspublic 
Assigned ToAinhoaPagola 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisione92864eaa9dd
ProjectionnoneETAnoneTarget Version3.0RC7
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0016882: Incorrect configuration of currency conversion rates window

DescriptionThe currency conversion rates window has the following incorrect configurations (from most offending to least offending):

1) The field of first focus is "Valid from Date"; it should be "To Currency" instead (this makes entering data **really** painful.

2) "Currency" is always defaulted to "EUR". Instead, it should be defaulted to the base currency of the client. This affects users' perception of Openbravo as a global solution able to be localized (not matter what you do, it works in euros...)

3) Label capitalization:
"Valid From Date" and "Valid To Date" instead of "Valid from Date" and "Valid to Date".
"Multiply Rate By" and "Divide Rate By" instead of "Multiply Rate by" and "Divide Rate by".

4) Window Layout in three rows instead of two
A more effective layout would be:
Organization - Active
Currency - To Currency
Valid From Date - Valid To Date - Multiply Rate By - Divide Rate By
TagsNo tags attached.
Attached Files file icon Conversion Rates [^] (65,138 bytes) 2011-04-25 15:04 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0016945 closedAinhoaPagola Incorrect configuration of currency conversion rates window 
related to defect 0016881 closedmtaal Not possible to save currency conversion rates in form view 

-  Notes
(0036214)
AinhoaPagola (reporter)
2011-04-29 13:18

A few comments:

* Note that if the labels are capitalized for this window, this change will affect every other window using the same elements. I understand this capitalization is desired for every window using these labels.

* The same configuration errors are present in the "Conversion Rates" tab in "Currency" window. This is being fixes as well.
(0036229)
AinhoaPagola (reporter)
2011-04-29 15:02

Changed to create backport to 2.50
(0036281)
hgbot (developer)
2011-05-02 17:04

Repository: erp/devel/pi
Changeset: e92864eaa9dd4869a839a78cceb798ff85dd7471
Author: Ainhoa Pagola <ainhoa.pagola <at> openbravo.com>
Date: Mon May 02 16:55:21 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e92864eaa9dd4869a839a78cceb798ff85dd7471 [^]

Fixes issue 16882. Configuration of currency conversion rates window changed

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0036282)
AinhoaPagola (reporter)
2011-05-02 17:07

* Resolution:

1) Focus:
- Currency window - Conversion Rate tab: First focus set to "To Currency"
- Conversion Rate window: First focus set to "Currency"

2) As the default is set in a column basis, and both windows use the same table, the default has been set for both, "Currency" and "To Currency" fields.
- Currency window - Conversion Rate tab: As Currency is linked to the parent, it only affects "To Currency" field.
- Conversion Rate window: Both will be defaulted to the clients base currency, assuming that the user will probably set one of these fields to that value.

Note that the base currency of the client has been used as default value and not the currency defined in the accounting schema. @$C_currency_id@ session value stores the currency of the accounting schema of the organization.

3) Labels changed. As the element has been changed, other fields linked to the same element have been changed.

4) Window Layout changed in both window/tabs.

* Testing the issue
Make sure the above configuration is present.
Test with "F&B International Group" client (try changing it's base currency)
Create a new client as well.

* Other areas affected
None.
(0036504)
adrianromero (manager)
2011-05-06 13:16

Verified
(0036799)
hudsonbot (developer)
2011-05-12 13:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c40e579fcd38 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-04-25 15:04 pjuvara New Issue
2011-04-25 15:04 pjuvara Assigned To => adrianromero
2011-04-25 15:04 pjuvara File Added: Conversion Rates
2011-04-25 15:04 pjuvara Modules => Core
2011-04-25 15:04 pjuvara Relationship added related to 0016881
2011-04-28 11:31 adrianromero Status new => scheduled
2011-04-28 11:31 adrianromero fix_in_branch => pi
2011-04-28 11:41 adrianromero Target Version 3.0RC6.1 => 3.0RC7
2011-04-28 11:41 adrianromero fix_in_branch pi =>
2011-04-28 11:45 adrianromero Priority normal => immediate
2011-04-29 08:47 dalsasua Assigned To adrianromero => ioritzCia
2011-04-29 13:09 AinhoaPagola Assigned To ioritzCia => AinhoaPagola
2011-04-29 13:18 AinhoaPagola Note Added: 0036214
2011-04-29 15:02 AinhoaPagola Note Added: 0036229
2011-04-29 15:02 AinhoaPagola Status scheduled => acknowledged
2011-04-29 15:03 AinhoaPagola Status acknowledged => scheduled
2011-04-29 15:03 AinhoaPagola fix_in_branch => pi
2011-05-02 17:04 hgbot Checkin
2011-05-02 17:04 hgbot Note Added: 0036281
2011-05-02 17:04 hgbot Status scheduled => resolved
2011-05-02 17:04 hgbot Resolution open => fixed
2011-05-02 17:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e92864eaa9dd4869a839a78cceb798ff85dd7471 [^]
2011-05-02 17:07 AinhoaPagola Note Added: 0036282
2011-05-06 13:16 adrianromero Note Added: 0036504
2011-05-06 13:16 adrianromero Status resolved => closed
2011-05-12 13:28 hudsonbot Checkin
2011-05-12 13:28 hudsonbot Note Added: 0036799


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker